DropCopy (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.messaging

## Class DropCopy

- java.lang.Object
- - com.marketfactory.messaging.DropCopy

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<DropCopy>

      public final class DropCopy
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<DropCopy>, java.io.Serializable

  Trading Event: A copy of a trade match on behalf of another client.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFFloat` | `baseCurrAmt`
    `java.lang.String` | `baseCurrency` The (XXX) base currency amount and name, XXX/YYY.
    `java.lang.String` | `clOrdID` Client-provided order ID.
    `MFFloat` | `counterCurrAmt`
    `java.lang.String` | `counterCurrency` The (YYY) counter currency amount and name, XXX/YYY.
    `java.lang.String` | `counterPartyID` Exchange-provided info that identifies this capture.
    `java.lang.String` | `customerAccountID` Customer provided account ID associated with a user.
    `java.lang.String` | `customerClientID` Customer provided client ID associated with a user.
    `java.lang.String` | `exOrdID` An exchange-assigned order ID.
    `java.lang.String` | `exPendingID` A unique ID for a pending trade execution (has yet to be confirmed).
    `java.lang.String` | `exTradeID` A unique for a completed trade.
    `int` | `feedID` A unique identifier for the feed.
    `boolean` | `isTaker` This field lets you know whether the other side was an aggressor.
    `int` | `marketID` A market ID, which identifies a unique financial instrument.
    `MatchStatus` | `matchStatus` The status of this capture: pending, confirmed, or done.
    `java.lang.String` | `modelID` Passed back if supplied in submitOrder (used for risk management).
    `java.lang.String` | `onBehalfOfCompID`
    `java.lang.String` | `onBehalfOfSubID`
    `int` | `origFeedID` The original feedID if this message comes from MarketFactory drop copy feed.
    `MFFloat` | `origPrice`
    `MFFloat` | `price` A currency price, in MFFloat format.
    `int` | `sequenceID` User sequence id.
    `MFFloat` | `settlCurrAmt`
    `java.lang.String` | `settlCurrency` For crosses, the settlement currency amount and name.
    `long` | `settlDate` Exchange-provided info that identifies this capture.
    `Side` | `side` The side of the original order.
    `long` | `timeApiClient` Timestamp at the client API (taken on the client host).
    `long` | `timeApiServer` Timestamp in the client handler within Whisperer.
    `long` | `timeExchange` Timestamp provided by the exchange.
    `long` | `timeHandler` Timestamp exiting the feed handler within Whisperer.
    `long` | `tradeDate` Exchange-provided info that identifies this capture.
    `java.lang.String` | `userName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `DropCopy()`
    `` | `DropCopy(int sequenceID, java.lang.String customerClientID, java.lang.String customerAccountID, java.lang.String userName, java.lang.String onBehalfOfCompID, java.lang.String onBehalfOfSubID, java.lang.String clOrdID, java.lang.String exOrdID, java.lang.String exPendingID, java.lang.String exTradeID, java.lang.String modelID, long timeExchange, long timeHandler, long timeApiServer, long timeApiClient, int feedID, int origFeedID, int marketID, Side side, MFFloat price, MFFloat origPrice, MFFloat baseCurrAmt, java.lang.String baseCurrency, MFFloat counterCurrAmt, java.lang.String counterCurrency, MFFloat settlCurrAmt, java.lang.String settlCurrency, boolean isTaker, MatchStatus matchStatus, java.lang.String counterPartyID, long tradeDate, long settlDate)`
    `protected` | `DropCopy(ProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(DropCopy rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sequenceID

          public int sequenceID

      User sequence id.

    - #### customerClientID

          public java.lang.String customerClientID

      Customer provided client ID associated with a user.

    - #### customerAccountID

          public java.lang.String customerAccountID

      Customer provided account ID associated with a user.

    - #### userName

          public java.lang.String userName

    - #### onBehalfOfCompID

          public java.lang.String onBehalfOfCompID

    - #### onBehalfOfSubID

          public java.lang.String onBehalfOfSubID

    - #### clOrdID

          public java.lang.String clOrdID

      Client-provided order ID.

    - #### exOrdID

          public java.lang.String exOrdID

      An exchange-assigned order ID.

    - #### exPendingID

          public java.lang.String exPendingID

      A unique ID for a pending trade execution (has yet to be confirmed). Only provided on some distributed exchanges.

    - #### exTradeID

          public java.lang.String exTradeID

      A unique for a completed trade.

    - #### modelID

          public java.lang.String modelID

      Passed back if supplied in submitOrder (used for risk management).

    - #### timeExchange

          public long timeExchange

      Timestamp provided by the exchange.

    - #### timeHandler

          public long timeHandler

      Timestamp exiting the feed handler within Whisperer.

    - #### timeApiServer

          public long timeApiServer

      Timestamp in the client handler within Whisperer.

    - #### timeApiClient

          public long timeApiClient

      Timestamp at the client API (taken on the client host).

    - #### feedID

          public int feedID

      A unique identifier for the feed.

    - #### origFeedID

          public int origFeedID

      The original feedID if this message comes from MarketFactory drop copy feed.

    - #### marketID

          public int marketID

      A market ID, which identifies a unique financial instrument.

    - #### side

          public Side side

      The side of the original order.

    - #### price

          public MFFloat price

      A currency price, in MFFloat format.

    - #### origPrice

          public MFFloat origPrice

    - #### baseCurrAmt

          public MFFloat baseCurrAmt

    - #### baseCurrency

          public java.lang.String baseCurrency

      The (XXX) base currency amount and name, XXX/YYY.

    - #### counterCurrAmt

          public MFFloat counterCurrAmt

    - #### counterCurrency

          public java.lang.String counterCurrency

      The (YYY) counter currency amount and name, XXX/YYY.

    - #### settlCurrAmt

          public MFFloat settlCurrAmt

    - #### settlCurrency

          public java.lang.String settlCurrency

      For crosses, the settlement currency amount and name.

    - #### isTaker

          public boolean isTaker

      This field lets you know whether the other side was an aggressor.

    - #### matchStatus

          public MatchStatus matchStatus

      The status of this capture: pending, confirmed, or done.

    - #### counterPartyID

          public java.lang.String counterPartyID

      Exchange-provided info that identifies this capture.

    - #### tradeDate

          public long tradeDate

      Exchange-provided info that identifies this capture.

    - #### settlDate

          public long settlDate

      Exchange-provided info that identifies this capture.

  - ### Constructor Detail

    - #### DropCopy

          public DropCopy()

    - #### DropCopy

          protected DropCopy(ProtoByteBuffer buffer)

    - #### DropCopy

          public DropCopy(int sequenceID,
                          java.lang.String customerClientID,
                          java.lang.String customerAccountID,
                          java.lang.String userName,
                          java.lang.String onBehalfOfCompID,
                          java.lang.String onBehalfOfSubID,
                          java.lang.String clOrdID,
                          java.lang.String exOrdID,
                          java.lang.String exPendingID,
                          java.lang.String exTradeID,
                          java.lang.String modelID,
                          long timeExchange,
                          long timeHandler,
                          long timeApiServer,
                          long timeApiClient,
                          int feedID,
                          int origFeedID,
                          int marketID,
                          Side side,
                          MFFloat price,
                          MFFloat origPrice,
                          MFFloat baseCurrAmt,
                          java.lang.String baseCurrency,
                          MFFloat counterCurrAmt,
                          java.lang.String counterCurrency,
                          MFFloat settlCurrAmt,
                          java.lang.String settlCurrency,
                          boolean isTaker,
                          MatchStatus matchStatus,
                          java.lang.String counterPartyID,
                          long tradeDate,
                          long settlDate)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(DropCopy rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<DropCopy>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)